org.apache.tinkerpop.gremlin.process.computer.traversal.step

## Interface VertexComputing

- All Known Implementing Classes:
    PageRankVertexProgramStep, PeerPressureVertexProgramStep, ProgramVertexProgramStep, TraversalVertexProgramStep, VertexProgramStep

      public interface VertexComputing

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default GraphComputer` | `generateComputer(Graph graph)` Deprecated. As of release 3.2.1. Please use `getComputer()`.
    `VertexProgram` | `generateProgram(Graph graph, Memory memory)` Generate the `VertexProgram`.
    `Computer` | `getComputer()` Get the `Computer` for generating the `GraphComputer`.
    `void` | `setComputer(Computer computer)` Set the `Computer` to be used to generate the `GraphComputer`.

- - ### Method Detail

    - #### setComputer

          void setComputer(Computer computer)

      Set the `Computer` to be used to generate the `GraphComputer`.
      Parameters:
        `computer` - the computer specification.

    - #### getComputer

          Computer getComputer()

      Get the `Computer` for generating the `GraphComputer`. Inferences on the state of the `Step` within the `Traversal` can be use applied here.
      Returns:
        the computer specification for generating the graph computer.

    - #### generateProgram

          VertexProgram generateProgram(Graph graph,
                                        Memory memory)

      Generate the `VertexProgram`.
      Parameters:
        `graph` - the `Graph` that the program will be executed over.
        `memory` - the `Memory` from the previous OLAP job if it exists, else its an empty memory structure.
      Returns:
        the generated vertex program instance.

    - #### generateComputer

          @Deprecated
          default GraphComputer generateComputer(Graph graph)

      Deprecated. As of release 3.2.1. Please use `getComputer()`.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.